import random
import time
import sys
from datetime import datetime
# ===== 量子黑客特效 =====
class QuantumHackFX:
    def glitch_text(text):
        glitch_chars = "▓▒░█◐◓◑◒∞∝⊕⊗"
        for _ in range(3):
            for i in range(len(text)):
                glitched = text[:i] + random.choice(glitch_chars) + text[i+1:]
                print(f"\r{glitched}", end="")
                sys.stdout.flush()
                time.sleep(0.02)
        print(f"\r{text}")

    @staticmethod
    def matrix_rain():
        chars = "01█▓▒░║╬╩╦╣╠╗╝╚╔═║§¶•"
        for _ in range(10):
            print("".join(random.choice(chars) for _ in range(90)))
            time.sleep(0.08)

    @staticmethod
    def quantum_breach(seconds=5):
        phases = [
            ("突破生物认证", "🛡️"),
            ("解密量子通道", "🔓"), 
            ("克隆数字指纹", "👤"),
            ("注入后门程序", "🖥️")
        ]
        for phase, icon in phases:
            print(f"\n\033[1;35m{icon} \033[36m{phase.ljust(15)}", end="")
            for i in range(1, 101):
                time.sleep(seconds/100)
                bar = '■' * (i//2) + '□' * (50 - i//2)
                print(f"\r\033[1;35m{icon} \033[36m{phase.ljust(15)} \033[33m{bar} \033[35m{i}%\033[0m", end="")
            print(f"\r\033[1;32m✓ {phase}完成\033[0m".ljust(80))

# ===== 暗网数据生成 =====
class DarkData:
    @staticmethod
    def generate_credentials():
        return {
            "name": random.choice(["张伟","王芳","李娜","赵敏","刘强"]),
            "idcard": f"{random.choice(['110','310','440'])}19{random.randint(80,99)}{random.randint(1,12):02d}{random.randint(1,28):02d}{random.randint(100,999)}{random.choice(['X','0','1','2','3','4','5','6','7','8','9'])}",
            "phone": f"1{random.choice(['38','39','88','99'])}{random.randint(100000000, 999999999)}",
            "ip": f"{random.randint(10,223)}.{random.randint(0,255)}.{random.randint(0,255)}.{random.randint(0,255)}",
            "location": random.choice(["上海外高桥7号节点","新加坡AWS-CN2","法兰克福DE-CIX","东京NTT"]),
            "threat": random.choice(["量子注入攻击","零日漏洞利用","社会工程学","APT渗透"])
        }

# ===== 黑客终端界面 =====
class HackTerminal:
    @staticmethod
    def show_banner():
        print("\033[1;35m")
        print(" ██╗░░░██╗██╗██████╗░  ░██████╗██╗░░██╗░█████╗░██████╗░██╗░░██╗")
        print(" ██║░░░██║██║██╔══██╗  ██╔════╝██║░░██║██╔══██╗██╔══██╗██║░██╔╝")
        print(" ╚██╗░██╔╝██║██████╔╝  ╚█████╗░███████║███████║██████╔╝█████═╝░")
        print(" ░╚████╔╝░██║██╔═══╝░  ░╚═══██╗██╔══██║██╔══██║██╔══██╗██╔═██╗░")
        print(" ░░╚██╔╝░░██║██║░░░░░  ██████╔╝██║░░██║██║░░██║██║░░██║██║░╚██╗")
        print(" ░░░╚═╝░░░╚═╝╚═╝░░░░░  ╚═════╝░╚═╝░░╚═╝╚═╝░░╚═╝╚═╝░░╚═╝╚═╝░░╚═╝")
        print("\033[1;36m" + "═"*60 + "\033[0m")
        print(f"\033[1;33m 量子黑客协议 v5.0 | 访问级别: \033[1;31mDARKNET-10\033[0m")
        print(f"\033[1;33m 最后激活: {datetime.now().strftime('%Y-%m-%d %H:%M:%S')}\033[0m")
        print("\033[1;36m" + "═"*60 + "\033[0m\n")

    @staticmethod
    def show_breach(data):
        print("\n\033[1;31m" + "▌"*60)
        print(f"▌\033[1;34m 数据提取成功 \033[0m\033[1;31m▌\033[1;37m 攻击方式: \033[1;32m{data['threat']}\033[0m")
        print("\033[1;31m" + "▌"*60)
        print(f"\033[1;33m▌ 目标姓名: \033[1;37m{data['name']}")
        print(f"\033[1;33m▌ 身份证号: \033[1;37m{data['idcard']}")
        print(f"\033[1;33m▌ 绑定手机: \033[1;37m+86 {data['phone']}")
        print(f"\033[1;33m▌ 登录IP: \033[1;37m{data['ip']} \033[33m({data['location']})")
        print("\033[1;31m" + "▌"*60 + "\033[0m")

# ===== 主系统 =====
def main():
    HackTerminal.show_banner()

    while True:
        try:
            target = input("\033[1;35m[\033[1;36m量子终端\033[1;35m]\033[1;37m 输入TT-ID(\033[1;31mexit\033[1;37m退出)> \033[0m").strip()
            
            if target.lower() == 'exit':
                QuantumHackFX.glitch_text("\033[1;35m[!] 启动自毁协议...")
                time.sleep(2)
                print("\033[1;31m[+] 所有痕迹已量子擦除\033[0m")
                break

            # 黑客攻击过程
            QuantumHackFX.quantum_breach(5)
            QuantumHackFX.matrix_rain()

            # 生成数据
            data = DarkData.generate_credentials()
            
            # 显示结果
            HackTerminal.show_breach(data)

            # 验证过程
            print("\n\033[1;35m" + "═"*60)
            print("\033[1;36m🛡️ 生物特征核验中...")
            time.sleep(3)
            print("\033[1;32m✓ 三要素验证通过 (NSA级算法认证)\033[0m")
            print("\033[1;35m" + "═"*60)

            # 反追踪
            print("\n\033[1;31m[!] 检测到反追踪信号源:")
            print(f"\033[1;37m来自: {random.choice(['CIA量子计算中心','国安局11处','摩萨德网络战部门'])}")
            print(f"\033[1;33m建议: 立即切换至\033[1;35mTORv3\033[1;33m网络\033[0m")

            input("\n\033[1;36m[按回车继续攻击...]\033[0m")
            print("\n"*3)

        except KeyboardInterrupt:
            print("\n\033[1;31m[!] 检测到量子干扰! 紧急关闭中...\033[0m")
            sys.exit(0)

if __name__ == "__main__":
    main()
